#include <iostream>
#include <algorithm>

using namespace std;

int govno(int n, int m){
    int a = max(n, m);
    int b = n + m - a;
    if(a == 1 && b == 1){
        return 1;
    }else{
        return (n * m) + govno(a / 2, b) + govno(a - (a / 2), b);
    }
}

int main(){
    int n, m;
    cin >> m >> n;
    cout << govno(n , m);
    return 0;
}